Skip to main content
GET
/
v1
/
containers
/
{container_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "<string>",
  "name": "<string>",
  "created_at": 123,
  "expires_after": {
    "anchor": "<string>",
    "minutes": 123
  },
  "last_active_at": 123,
  "memory_limit": "<string>",
  "metadata": {},
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

container_id
string
required

The ID of the container to retrieve

Query Parameters

provider
enum<string>
required

The provider of the container AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks

Response

Successful response

id
string

The unique identifier for the container

object
string

The object type (always "container")

name
string

The name of the container

created_at
integer<int64>

Unix timestamp of when the container was created

status
enum<string>

The status of a container

Available options:
running
expires_after
object

Expiration configuration for a container

last_active_at
integer<int64>

Unix timestamp of last activity

memory_limit
string

Memory limit for the container

metadata
object

User-provided metadata

extra_fields
object

Additional fields included in responses